Web lists-archives.com

python 3 : error with lib scipy




Hi all, 
On debian-sid  with python 3, I got this error (below) when trying to load scipy. 
No error with python 2, (and yes numpy is installed correctly)

Every python packages seems up to date to me. 
Is this a bug ?

Cheers

LB

===================================================
:>  import scipy.misc 
---------------------------------------------------------------------------
ModuleNotFoundError                       Traceback (most recent call last)
ModuleNotFoundError: No module named 'numpy.core._multiarray_umath'

---------------------------------------------------------------------------
ImportError                               Traceback (most recent call last)
<ipython-input-1-6d518f3919e2> in <module>()
----> 1 import scipy.misc

/usr/lib/python3/dist-packages/scipy/misc/__init__.py in <module>()
     66 from numpy import who as _who, source as _source, info as _info
     67 import numpy as np
---> 68 from scipy.interpolate._pade import pade as _pade
     69 from scipy.special import (comb as _comb, logsumexp as _lsm,
     70         factorial as _fact, factorial2 as _fact2, factorialk as _factk)

/usr/lib/python3/dist-packages/scipy/interpolate/__init__.py in <module>()
    173 from __future__ import division, print_function, absolute_import
    174 
--> 175 from .interpolate import *
    176 from .fitpack import *
    177 

/usr/lib/python3/dist-packages/scipy/interpolate/interpolate.py in <module>()
     18                    dot, ravel, poly1d, asarray, intp)
     19 
---> 20 import scipy.linalg
     21 import scipy.special as spec
     22 from scipy.special import comb

/usr/lib/python3/dist-packages/scipy/linalg/__init__.py in <module>()
    188 from .linalg_version import linalg_version as __version__
    189 
--> 190 from .misc import *
    191 from .basic import *
    192 from .decomp import *

/usr/lib/python3/dist-packages/scipy/linalg/misc.py in <module>()
      3 import numpy as np
      4 from numpy.linalg import LinAlgError
----> 5 from .blas import get_blas_funcs
      6 from .lapack import get_lapack_funcs
      7 

/usr/lib/python3/dist-packages/scipy/linalg/blas.py in <module>()
    212 import numpy as _np
    213 
--> 214 from scipy.linalg import _fblas
    215 try:
    216     from scipy.linalg import _cblas

ImportError: numpy.core.multiarray failed to import